*
* $Id$
*
* $Log$
*
#if !defined(GPAMELA_INTER)
*CMZ :  2.02/00 10/10/2000  15.15.49  by  Francesco Cafagna
*CMZ :  2.01/00 05/04/2000  14.35.18  by  Marialuigia Ambriola
*CMZ :  2.00/00 03/03/2000  15.39.06  by  Francesco Cafagna
*CMZ :  1.00/02 06/02/96  17.34.49  by  Francesco Cafagna
*-- Author :    Francesco Cafagna   30/11/95
      PROGRAM GPMAIN
************************************************************************
*                                                                      *
* Program for PAMELA Simulation with GEANT                             *
* This is the main routine to be used for batch or not                 *
* interactive version                                                  *
*                                                                      *
* Author: Francesco Cafagna, 30/11/95 01.51.27                         *
*                                                                      *
************************************************************************
*
#include "gcflag.inc"
#include "gpmem.inc"
#include "gpzhbo.inc"
#include "gpzcom.inc"
*
*     ------------------------------------------------------------------
*
*   ZEBRA, HBOOK, HIGZ Initialization
      CALL GZEBRA(NWGEAN)
      CALL HLIMIT(-NWPAW)
#if defined(GPAMELA_HIGZ)
      CALL IGINIT(0)
      IWK=0
      CALL IGWKTY(IWK)
*
*
*           Initialize HPLOT
*
      CALL HPLINT(IWK)
      CALL HERMES(6)
      CALL IGSA(0)
#endif
*
*             Geant initialization.
      CALL UGINIT
*
*             Main structures printings.
*
*      CALL GPRINT('PART',0)
      CALL GPRINT('MATE',0)
      CALL GPRINT('TMED',0)
* VOLU printout commented to avoid GEANT bug
*      CALL GPRINT('VOLU',0)
*
*
*             Start events processing.
      CALL GRUN
*
*             End of run.
      CALL UGLAST
      STOP
      END
#endif
